cascading.tap.hadoop.io

## Class TapOutputCollector

- java.lang.Object
- - cascading.tap.hadoop.io.TapOutputCollector

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, OutputCollector

      public class TapOutputCollector
      extends java.lang.Object
      implements OutputCollector, java.io.Closeable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PART_TASK_PATTERN`
    `static java.lang.String` | `PART_TASK_SEQ_PATTERN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TapOutputCollector(FlowProcess<? extends Configuration> flowProcess, Tap<Configuration,RecordReader,OutputCollector> tap)`
    `TapOutputCollector(FlowProcess<? extends Configuration> flowProcess, Tap<Configuration,RecordReader,OutputCollector> tap, java.lang.String prefix)`
    `TapOutputCollector(FlowProcess<? extends Configuration> flowProcess, Tap<Configuration,RecordReader,OutputCollector> tap, java.lang.String prefix, long sequence)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `collect(java.lang.Object writableComparable, java.lang.Object writable)` Method collect writes the given values to the `Tap` this instance encapsulates.
    `protected void` | `initialize()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PART_TASK_PATTERN

          public static final java.lang.String PART_TASK_PATTERN

      See Also:
        Constant Field Values

    - #### PART_TASK_SEQ_PATTERN

          public static final java.lang.String PART_TASK_SEQ_PATTERN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TapOutputCollector

          public TapOutputCollector(FlowProcess<? extends Configuration> flowProcess,
                            Tap<Configuration,RecordReader,OutputCollector> tap)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### TapOutputCollector

          public TapOutputCollector(FlowProcess<? extends Configuration> flowProcess,
                            Tap<Configuration,RecordReader,OutputCollector> tap,
                            java.lang.String prefix)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### TapOutputCollector

          public TapOutputCollector(FlowProcess<? extends Configuration> flowProcess,
                            Tap<Configuration,RecordReader,OutputCollector> tap,
                            java.lang.String prefix,
                            long sequence)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### initialize

          protected void initialize()
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### collect

          public void collect(java.lang.Object writableComparable,
                     java.lang.Object writable)
                       throws java.io.IOException

      Method collect writes the given values to the `Tap` this instance encapsulates.
      Specified by:
        `collect` in interface `OutputCollector`
      Parameters:
        `writableComparable` - of type WritableComparable
        `writable` - of type Writable
      Throws:
        `java.io.IOException` - when

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.